> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/17.-poizvedba-pridobi-soildatasets.md).

# 17. Poizvedba: pridobi "SoilDatasets"

Pridobite vse "SoilDatasets" za izbrano "Field". Nabori podatkov se lahko pridobijo z uporabo generičnih GraphQL poizvedb, kot so `getFarms` in `getFields` iz povezanega "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" mora biti vnaprej naložen.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #vzorec "<OperationType> <YYYY-mm-DD>"
        operationId #če obstaja
        number #skupno število geofunkcij
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #popolni podatki za vsak atribut
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #če obstaja
          unit #če obstaja
        }

        createdDate #čas in datum ustvarjanja entitete v GeoPard
        updatedDate #čas in datum zadnje posodobitve
        operationType
        operationId
        operationFileDate #čas in datum ustvarjanja datoteke
        operationStartDate #začetek izvedbe operacije
        
        statistics { #porazdelitev statističnih podatkov za vsak talni atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    polja { 
      uuid
      soilDatasets { 
        uuid
        ime  
        operationId #če obstaja 
        number #skupno število geofunkcij 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #če obstaja
          unit #če obstaja
        }
      
        createdDate #čas in datum ustvarjanja v GeoPard
        updatedDate #čas in datum zadnje posodobitve v GeoPard
        operationFileDate #čas in datum ustvarjanja datoteke (če obstaja)
        operationStartDate #začetek operacije (če obstaja)
      
        statistics { #statistična porazdelitev za vsak talni atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #vizualna predstavitev
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/17.-poizvedba-pridobi-soildatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
